> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook/Websocket Tweet Filter Rule

> Delete a tweet filter rule. You must set all parameters.



## OpenAPI

````yaml DELETE /oapi/tweet_filter/delete_rule
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /oapi/tweet_filter/delete_rule:
    delete:
      description: Delete a tweet filter rule. You must set all parameters.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                rule_id:
                  type: string
                  description: ID of the rule to delete.Must be set
      responses:
        '200':
          description: Tweet filter rule delete response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the request.success or error
                    enum:
                      - success
                      - error
                  msg:
                    type: string
                    description: Message of the request.error message
                required:
                  - status
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````